Index: /vlo/branches/vlo-2.13-param/vlo_importer/src/main/java/eu/clarin/cmdi/vlo/config/DataRoot.java
===================================================================
--- /vlo/branches/vlo-2.13-param/vlo_importer/src/main/java/eu/clarin/cmdi/vlo/config/DataRoot.java	(revision 2662)
+++ /vlo/branches/vlo-2.13-param/vlo_importer/src/main/java/eu/clarin/cmdi/vlo/config/DataRoot.java	(revision 2663)
@@ -7,10 +7,71 @@
 
 /**
- * Description of the location from which the ingester collects meta data.
+ * Description of the location from which the importer collects meta data.
  * 
  * @author keeloo
  */
 @Root // Simple directive 
-public class DataRoot {
+public class DataRoot extends Object {
+    
+    /**
+     * Constructor method
+     */
+    public DataRoot (){
+    }
+    
+    /**
+     * Constructor method
+     * 
+     * @param originName
+     * @param rootFile
+     * @param prefix
+     * @param toStrip
+     * @param deleteFirst 
+     */
+    public DataRoot(String originName, File rootFile, String prefix, String toStrip, Boolean deleteFirst) {
+        this.originName = originName;
+        this.rootFile = rootFile;
+        this.prefix = prefix;
+        this.tostrip = toStrip;
+        this.deleteFirst = deleteFirst;
+    }
+    
+    /**
+     *
+     * @param dataRoot
+     * @return
+     */
+    @Override
+    public boolean equals (Object object){
+        boolean equal = false;
+        
+        if (object == null) {
+            // define this object to be different from nothing
+        } else {
+            if (! (object instanceof DataRoot)) {
+                // the object is not a DataRoot, define it not to be equal 
+            } else {
+                equal = this.originName.equals(((DataRoot) object).originName);
+                equal = this.rootFile.equals(((DataRoot) object).rootFile) && equal;
+                equal = this.prefix.equals(((DataRoot) object).prefix) && equal;
+                equal = this.tostrip.equals(((DataRoot) object).tostrip) && equal;
+
+                equal = this.deleteFirst == ((DataRoot) object).deleteFirst && equal;
+            }
+        }
+        
+        return equal;
+    }
+
+    @Override
+    public int hashCode() {
+        int hash = 7;
+        hash = 29 * hash + (this.originName != null ? this.originName.hashCode() : 0);
+        hash = 29 * hash + (this.rootFile != null ? this.rootFile.hashCode() : 0);
+        hash = 29 * hash + (this.prefix != null ? this.prefix.hashCode() : 0);
+        hash = 29 * hash + (this.tostrip != null ? this.tostrip.hashCode() : 0);
+        hash = 29 * hash + (this.deleteFirst ? 1 : 0);
+        return hash;
+    }
 
     /**
@@ -24,5 +85,5 @@
      * 
      * The originName label can be used to reference the records the
-     * ingester has submitted to the SOLR server.
+     * importer has submitted to the SOLR server.
      */
     @Element // Simple directive
@@ -30,8 +91,8 @@
  
     /**
-     * Meta data to be ingested. The rootFile can take the form of a root CMDI
-     * file, a file for which the ingester will follow the links defined in it.
-     * It can also be a directory with .xml and or .cmdi files to be ingested.
-     * The ingester will process the directories recursively.
+     * Meta data to be imported. The rootFile can take the form of a root CMDI
+     * file, a file for which the importer will follow the links defined in it.
+     * It can also be a directory with .xml and or .cmdi files to be imported.
+     * The importer will process the directories recursively.
      *    
      * Example:
@@ -58,5 +119,5 @@
      * 
      * If you remove toStrip from rootFile, and append the result to the prefix,
-     * you get the URL at which the ingester looks for files. In the case of the
+     * you get the URL at which the importer looks for files. In the case of the
      * examples this would be the result: 
      * 
@@ -73,9 +134,4 @@
     @Element
     private boolean deleteFirst = false;
-    
-    
-    /**
-     * Remove the get and set methods declared below one by one.
-     */
 
     public String getPrefix() {
Index: /vlo/branches/vlo-2.13-param/vlo_importer/src/main/java/eu/clarin/cmdi/vlo/config/VloConfig.java
===================================================================
--- /vlo/branches/vlo-2.13-param/vlo_importer/src/main/java/eu/clarin/cmdi/vlo/config/VloConfig.java	(revision 2662)
+++ /vlo/branches/vlo-2.13-param/vlo_importer/src/main/java/eu/clarin/cmdi/vlo/config/VloConfig.java	(revision 2663)
@@ -274,4 +274,16 @@
 
     /**
+     * Get the value of the deleteAllFirst parameter<br><br>
+     *
+     * For a description of the parameter, refer to the general VLO
+     * documentation.
+     *
+     * @return the value
+     */
+    public static boolean deleteAllFirst() {
+        return deleteAllFirst;
+    }
+
+        /**
      * Set the value of the deleteAllFirst parameter<br><br>
      *
@@ -286,15 +298,15 @@
 
     /**
-     * Get the value of the deleteAllFirst parameter<br><br>
-     *
-     * For a description of the parameter, refer to the general VLO
-     * documentation.
-     *
-     * @return the value
-     */
-    public static boolean isDeleteAllFirst() {
-        return deleteAllFirst;
-    }
-
+     * Get the value of the printMapping parameter<br><br>
+     *
+     * For a description of the parameter, refer to the general VLO
+     * documentation.
+     *
+     * @return the value
+     */
+    public static boolean printMapping() {
+        return printMapping;
+    }
+    
     /**
      * Set the value of the printMapping parameter<br><br>
@@ -309,16 +321,4 @@
     }
 
-    /**
-     * Get the value of the printMapping parameter<br><br>
-     *
-     * For a description of the parameter, refer to the general VLO
-     * documentation.
-     *
-     * @return the value
-     */
-    public static boolean isPrintMapping() {
-        return printMapping;
-    }
-    
     /**
      * Get the value of the VloHomeLink parameter<br><br>
Index: /vlo/branches/vlo-2.13-param/vlo_importer/src/main/java/eu/clarin/cmdi/vlo/importer/MetadataImporter.java
===================================================================
--- /vlo/branches/vlo-2.13-param/vlo_importer/src/main/java/eu/clarin/cmdi/vlo/importer/MetadataImporter.java	(revision 2662)
+++ /vlo/branches/vlo-2.13-param/vlo_importer/src/main/java/eu/clarin/cmdi/vlo/importer/MetadataImporter.java	(revision 2663)
@@ -115,5 +115,5 @@
         try {
             // Delete the whole Solr db
-            if (VloConfig.isDeleteAllFirst()) {
+            if (VloConfig.deleteAllFirst()) {
                 LOG.info("Deleting original data...");
                 solrServer.deleteByQuery("*:*");
@@ -412,5 +412,5 @@
                 // finished importing
                 
-                if (VloConfig.isPrintMapping()) {
+                if (VloConfig.printMapping()) {
                     File file = new File("xsdMapping.txt");
                     FacetMappingFactory.printMapping(file);
Index: /vlo/branches/vlo-2.13-param/vlo_importer/src/main/resources/VloConfig.xml
===================================================================
--- /vlo/branches/vlo-2.13-param/vlo_importer/src/main/resources/VloConfig.xml	(revision 2662)
+++ /vlo/branches/vlo-2.13-param/vlo_importer/src/main/resources/VloConfig.xml	(revision 2663)
@@ -31,7 +31,7 @@
     </dataRoots>
    
+    <vloHomeLink>http://www.clarin.eu/vlo</vloHomeLink>
+    
     <solrUrl>http://localhost:8084/vlo_solr/</solrUrl>
-    
-    <vloHomeLink>http://www.clarin.eu/vlo</vloHomeLink>
     
     <profileSchemaUrl>http://catalog.clarin.eu/ds/ComponentRegistry/rest/registry/profiles/{PROFILE_ID}/xsd</profileSchemaUrl>
Index: /vlo/branches/vlo-2.13-param/vlo_importer/xsdMapping.txt
===================================================================
--- /vlo/branches/vlo-2.13-param/vlo_importer/xsdMapping.txt	(revision 2662)
+++ /vlo/branches/vlo-2.13-param/vlo_importer/xsdMapping.txt	(revision 2663)
@@ -1,48 +1,3 @@
-This file is generated on Mar 7, 2013 12:22:39 PM and only used to document the mapping.
+This file is generated on Mar 8, 2013 10:12:39 AM and only used to document the mapping.
 This file contains xsd name and a list of conceptName with xpath mappings that are generated.
 ---------------------
-http://www.openarchives.org/OAI/2.0/oai_dc.xsd
-FacetName:id
-Mappings:
-    /c:CMD/c:Header/c:MdSelfLink/text()
-FacetName:collection
-Mappings:
-    /c:CMD/c:Header/c:MdCollectionDisplayName/text()
-FacetName:name
-Mappings:
-    /c:CMD/c:Components/c:LrtInventoryResource/c:LrtCommon/c:ResourceName/text()
-FacetName:country
-Mappings:
-    /c:CMD/c:Components/c:OLAC-DcmiTerms/c:spatial[@dcterms-type="ISO3166"]/text()
-    /c:CMD/c:Components/c:OLAC-DcmiTerms/c:coverage[@dcterms-type="ISO3166"]/text()
-FacetName:language
-Mappings:
-    /c:CMD/c:Components/c:OLAC-DcmiTerms/c:language/@olac-language
-    /c:CMD/c:Components/c:OLAC-DcmiTerms/c:subject/@olac-language
-    /c:CMD/c:Components/c:LrtInventoryResource/c:LrtCommon/c:Languages/c:ISO639/c:iso-639-3-code/text()
-FacetName:languages
-Mappings:
-    /c:CMD/c:Components/c:OLAC-DcmiTerms/c:language/@olac-language
-    /c:CMD/c:Components/c:OLAC-DcmiTerms/c:subject/@olac-language
-    /c:CMD/c:Components/c:LrtInventoryResource/c:LrtCommon/c:Languages/c:ISO639/c:iso-639-3-code/text()
-FacetName:genre
-Mappings:
-    /c:CMD/c:Components/c:OLAC-DcmiTerms/c:type/@olac-linguistic-type
-FacetName:subject
-Mappings:
-    /c:CMD/c:Components/c:OLAC-DcmiTerms/c:subject/@olac-linguistic-field
-    /c:CMD/c:Components/c:OLAC-DcmiTerms/c:subject[@dcterms-type="LCSH"]/text()
-FacetName:resourceType
-Mappings:
-    /c:CMD/c:Components/c:LrtInventoryResource/c:LrtCommon/c:ResourceType/text()
-    /c:CMD/c:Components/c:OLAC-DcmiTerms/c:type/text()
-FacetName:nationalProject
-Mappings:
-    /c:CMD/c:Header/c:MdCollectionDisplayName/text()
-FacetName:text
-Mappings:
-    /c:CMD//text()
-FacetName:_componentProfile
-Mappings:
-    /c:CMD/c:Header/c:MdProfile/text()
----------------------