Index: /cats/ISOcat/trunk/mod-ISOcat-access-data/access/dc_check.xsl
===================================================================
--- /cats/ISOcat/trunk/mod-ISOcat-access-data/access/dc_check.xsl	(revision 2724)
+++ /cats/ISOcat/trunk/mod-ISOcat-access-data/access/dc_check.xsl	(revision 2725)
@@ -225,9 +225,9 @@
 	
 	<xsl:template match="dcif:descriptionSection/dcif:profile">
-		<xsl:if test="$standard-flag and current()='undecided'">
+		<xsl:if test="current()='undecided'">
 			<xsl:choose>
-				<xsl:when test="ancestor::dcif:dataCategory/@isocat:type='closed'">
+				<xsl:when test="count(distinct-values(../dcif:profile))=1">
 					<xsl:call-template name="warning">
-						<xsl:with-param name="msg">Standardized data categories can't be a member of the 'undecided' profile.</xsl:with-param>
+						<xsl:with-param name="msg">This data category is (still) a member of the 'undecided' profile.</xsl:with-param>
 						<xsl:with-param name="standard" select="'allow'"/>
 					</xsl:call-template>
@@ -235,12 +235,17 @@
 				<xsl:otherwise>
 					<xsl:call-template name="error">
-						<xsl:with-param name="msg">Standardized data categories can't be a member of the 'undecided' profile.</xsl:with-param>
+						<xsl:with-param name="msg">This data category is a member of the 'undecided' profile and one or more thematic profiles.</xsl:with-param>
 					</xsl:call-template>
 				</xsl:otherwise>
 			</xsl:choose>
 		</xsl:if>
+		<xsl:if test="$standard-flag and current()='undecided'">
+			<xsl:call-template name="error">
+				<xsl:with-param name="msg">Standardized data categories can't be a member of the 'undecided' profile.</xsl:with-param>
+			</xsl:call-template>
+		</xsl:if>
 		<xsl:if test="$standard-flag and current()='not available'">
 			<xsl:choose>
-				<xsl:when test="ancestor::dcif:dataCategory/@isocat:type='not available'">
+				<xsl:when test="ancestor::dcif:dataCategory/@isocat:type='closed'">
 					<xsl:call-template name="warning">
 						<xsl:with-param name="msg">Standardized data categories can't be a member of the 'not available' profile.</xsl:with-param>
Index: /cats/ISOcat/trunk/mod-ISOcat-interface-gi/interface/JSXAPPS/ISOcat/help/profile.html
===================================================================
--- /cats/ISOcat/trunk/mod-ISOcat-interface-gi/interface/JSXAPPS/ISOcat/help/profile.html	(revision 2724)
+++ /cats/ISOcat/trunk/mod-ISOcat-interface-gi/interface/JSXAPPS/ISOcat/help/profile.html	(revision 2725)
@@ -12,6 +12,6 @@
 <strong>thematic domain profile</strong></p>
 <p align="left">representation within a <a href="dataCategorySpecification.html">data category specification</a> of any one of the <a href="ThematicDomain.html">thematic domains</a> with which a <a href="dataCategory.html">data category</a> is associated</p>
-<p align="left">NOTE&nbsp;&nbsp;A data category may have several thematic domain profiles, indicating that it is used by several thematic domains. Until a data category specification is assigned to a <a href="ThematicDomainGroup.html">TDG</a>, the profile value is set to -<a href="Private.html">private</a>-, as reflected in the <a href="Scope.html">Scope</a> value in the ISOcat Web Interface.</p>
-<p align="left"><a href="http://www.isocat.org/index_bestanden/12620.html">ISO 12620</a>:2009 specifies that the <a href="DataCategoryRegistry.html">DCR</a> shall associate each data category with one or several profile values  corresponding to the thematic domains where the data category is relevant (for  instance, <em>/partOfSpeech/</em> is relevant  for both terminology and lexicography).</p>
+<p align="left">NOTE&nbsp;&nbsp;A data category may have several thematic domain profiles, indicating that it is used by several thematic domains. Until a data category specification is assigned to a thematic domain profile (associated to a <a href="ThematicDomainGroup.html">TDG</a>), the profile value is set to -undecided-. If there isn't any profile available that fits your DC assign it to the -not available- profile, and consider to contact the DCR Board to establish a TDG for the missing thematic domain.</p>
+<p align="left"><a href="http://www.isocat.org/index_bestanden/12620.html">ISO 12620</a>:2009 specifies that the <a href="DataCategoryRegistry.html">DCR</a> shall associate each data category with one or several profile values  corresponding to the thematic domains where the data category is relevant (for  instance, <em>/partOfSpeech/</em> is relevant for both terminology and lexicography).</p>
 <p align="left"><strong>Adding a Profile to an Existing Data Category Specification</strong></p>
 <p align="left">If a user initiates the creation of a data category specification (<a href="dataCategorySpecification.html">DC</a>) that has the same <a href="DataCategoryName.html">data category name</a> as an existing data category, ISOcat will prompt the user to examine the existing DC in order to determine whether the definition for this DC is appropriate for the new thematic domain under development. If this is the case, it is preferable to add the new thematic domain to the <a href="profile.html">profile</a> for that DC rather than to create a new DC. </p>
Index: /cats/ISOcat/trunk/mod-ISOcat-interface-gi/interface/JSXAPPS/ISOcat/xml/spies.xml
===================================================================
--- /cats/ISOcat/trunk/mod-ISOcat-interface-gi/interface/JSXAPPS/ISOcat/xml/spies.xml	(revision 2724)
+++ /cats/ISOcat/trunk/mod-ISOcat-interface-gi/interface/JSXAPPS/ISOcat/xml/spies.xml	(revision 2725)
@@ -151,9 +151,9 @@
             morphosyntax, syntax, metadata, language description, etc.).</div>
         <p> When first created, the value of profile for a data category specification defaults to
-                <i>private</i>, unless or until the user selects one or more thematic domain
+                <i>undecided</i>, unless or until the user selects one or more thematic domain
             profiles. Submission for standardization requires the selection of at least one thematic
             domain profile because it is the relevant TDG that is responsible for maintenance of
             standardized data category specifications.</p>
-        <p>If a user desires to create a new profile, consult the DCR Board.</p>
+        <p>If a user desires to create a new profile, consult the DCR Board. For the time being then use the <i>not available</i> profile.</p>
     </spyglass>
     <spyglass key="dataElementName">
Index: /cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/TDGs.html
===================================================================
--- /cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/TDGs.html	(revision 2724)
+++ /cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/TDGs.html	(revision 2725)
@@ -1388,5 +1388,5 @@
  <tr>
   <td width=701 height=35 colspan=3 bgcolor="#E0E6E6" style='width:525.48pt;
-  height:26.0944pt;padding-left:1.5pt;padding-right:1.5pt;padding-top:1.5pt;
+  height:26.2479pt;padding-left:1.5pt;padding-right:1.5pt;padding-top:1.5pt;
   padding-bottom:1.5pt;background:#E0E6E6;border-left:solid black 6.0pt;
   border-top:solid black .25pt;border-right:solid black 2.0pt;border-bottom:
@@ -1422,5 +1422,5 @@
  <tr>
   <td width=701 height=65 colspan=3 bgcolor="#E0E6E6" style='width:525.48pt;
-  height:49.2459pt;padding-left:1.5pt;padding-right:1.5pt;padding-top:1.5pt;
+  height:49.0924pt;padding-left:1.5pt;padding-right:1.5pt;padding-top:1.5pt;
   padding-bottom:1.5pt;background:#E0E6E6;border-left:solid black 6.0pt;
   border-top:solid black .25pt;border-right:solid black 2.0pt;border-bottom:
Index: /cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/news.html
===================================================================
--- /cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/news.html	(revision 2724)
+++ /cats/ISOcat/trunk/mod-ISOcat-site/site/index_files/news.html	(revision 2725)
@@ -824,9 +824,4 @@
   font-size:10.0pt;language:x-none;color:black'>â</span><span style='width:
   12.75pt'>&nbsp;</span><span lang=en-US style='font-family:Verdana;language:
-  en-US'>in the DC Editor donât set profile to Private by default anymore this to encourage picking an semantically more descriptive profile and only use Private as a fallback</span></p>
-  <p class=MsoNormal style='margin-left:54.0pt;text-indent:-18.0pt'><span
-  style='direction:ltr;unicode-bidi:embed;font-family:"Times New Roman";
-  font-size:10.0pt;language:x-none;color:black'>â</span><span style='width:
-  12.75pt'>&nbsp;</span><span lang=en-US style='font-family:Verdana;language:
   en-US'>the special profile list editor is replaced by the general list interaction pattern</span></p>
   <p class=MsoNormal style='margin-left:54.0pt;text-indent:-18.0pt'><span