Index: CQIClient/pom.xml
===================================================================
--- CQIClient/pom.xml	(revision 2478)
+++ CQIClient/pom.xml	(revision 2761)
@@ -19,5 +19,5 @@
 
     <groupId>eu.clarin.cqi</groupId>
-    <version>1.0</version>
+    <version>1.1</version>
     <packaging>jar</packaging>
 
@@ -51,3 +51,30 @@
         </license>
     </licenses>
+    <build>
+        <plugins>
+            <plugin>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-deploy-plugin</artifactId>
+                <version>2.7</version>
+            </plugin>
+            <plugin>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-javadoc-plugin</artifactId>
+                <version>2.9</version>
+                <executions>
+                    <execution>
+                        <id>attach-javadocs</id>
+                        <goals>
+                            <goal>jar</goal>
+                        </goals>
+                    </execution>
+                </executions>
+            </plugin>
+            <plugin>
+                <groupId>org.apache.maven.plugins</groupId>
+                <artifactId>maven-source-plugin</artifactId>
+                <version>2.2.1</version>
+            </plugin>
+        </plugins>
+    </build>
 </project>
Index: CQIClient/src/main/java/eu/clarin/cqi/client/CqiClient.java
===================================================================
--- CQIClient/src/main/java/eu/clarin/cqi/client/CqiClient.java	(revision 2478)
+++ CQIClient/src/main/java/eu/clarin/cqi/client/CqiClient.java	(revision 2761)
@@ -174,5 +174,5 @@
      * Gives the corpus positional attributes.
      *
-     * @param corpusID the corpus id
+     * @param corpus the corpus id
      * @return the name of the attributes
      * @throws CqiClientException
@@ -790,7 +790,7 @@
      *
      * @param corpus the corpus
-     * @param subcorpus the subcorpus
      * @param query the query
-     * @param charset the charset
+     * @param contextStructuralAttribute context structural attribute
+     * @param metadataStructuralAttributes metadata structural attributes
      * @throws CqiClientException
      */
Index: CQIClient/src/main/java/eu/clarin/cqi/client/CqiResult.java
===================================================================
--- CQIClient/src/main/java/eu/clarin/cqi/client/CqiResult.java	(revision 2478)
+++ CQIClient/src/main/java/eu/clarin/cqi/client/CqiResult.java	(revision 2761)
@@ -76,7 +76,6 @@
      *
      * @return {@code true} if the cursor is moved to a position in this
-     * {@code MatchSet} object;
-     * {@code false} if the cursor is before the first match or after the last
-     * match
+     * {@code MatchSet} object; {@code false} if the cursor is before the first
+     * match or after the last match
      * @exception CqiClientException
      */
@@ -90,11 +89,11 @@
 
     /**
-     * Moves the cursor froward one row from its current position. A {@code CqiResult}
-     * cursor is initially positioned before the first match; the first call to
-     * the method
-     * {@code next} makes the first match the current match.
-     *
-     * @return {@code true} if the new current row is valid;
-     * {@code false} if there are no more matches
+     * Moves the cursor froward one row from its current position. A
+     * {@code CqiResult} cursor is initially positioned before the first match;
+     * the first call to the method {@code next} makes the first match the
+     * current match.
+     *
+     * @return {@code true} if the new current row is valid; {@code false} if
+     * there are no more matches
      * @exception CqiClientException
      */
@@ -112,5 +111,5 @@
             final int bufferedEnd = (bufferedStart + BUFFER_SIZE > resultSize) ? resultSize - 1 : bufferedStart + BUFFER_SIZE - 1;
             bufferedSize = bufferedEnd - bufferedStart + 1;
-            bufferIndex = 0;
+            bufferIndex = -1;
             client.dumpSubCorpus(subCorpusName, CqiClient.CQI_CONST_FIELD_MATCH, bufferedStart, bufferedEnd, results[MATCH_START]);
             client.dumpSubCorpus(subCorpusName, CqiClient.CQI_CONST_FIELD_MATCHEND, bufferedStart, bufferedEnd, results[MATCH_END]);