Index: /ComponentRegistry/trunk/ComponentRegistry/pom.xml
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/pom.xml	(revision 2766)
+++ /ComponentRegistry/trunk/ComponentRegistry/pom.xml	(revision 2767)
@@ -233,5 +233,5 @@
 	<serviceRootUrl>http://localhost:8080/${project.artifactId}</serviceRootUrl>
 	<!-- Will be inserted in context.xml -->
-	<webXmlPath>src/main/webapp/WEB-INF/web.xml</webXmlPath>
+	<webXmlPath>src/main/webapp/WEB-INF/web-test.xml</webXmlPath>
 	<!-- non-shib web.xml -->
 	<isocatSearchUrl>http://www.isocat.org/rest/user/guest/search</isocatSearchUrl>
Index: /ComponentRegistry/trunk/ComponentRegistry/src/main/webapp/WEB-INF/web-test.xml
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/webapp/WEB-INF/web-test.xml	(revision 2767)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/main/webapp/WEB-INF/web-test.xml	(revision 2767)
@@ -0,0 +1,106 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+        Configuration file for ComponentRegistry in NON-SHIBBOLIZED context,
+	i.e. development or testing environments.
+-->
+
+<web-app version="2.4" xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
+    <display-name>ComponentRegistry</display-name>
+    <description>Clarin Metadata Component Registry</description>
+    <listener>
+        <listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
+    </listener>
+    <filter>
+        <filter-name>characterEncodingFilter</filter-name>
+        <filter-class>clarin.cmdi.componentregistry.servlet.CharacterEncodingFilter</filter-class>
+        <init-param>
+            <param-name>encoding</param-name>
+            <param-value>UTF-8</param-value>
+        </init-param>
+    </filter>
+    <filter-mapping>
+        <filter-name>characterEncodingFilter</filter-name>
+        <url-pattern>/*</url-pattern>
+    </filter-mapping>
+    <filter>
+        <filter-name>wicket.componentregistry</filter-name>
+        <filter-class>org.apache.wicket.protocol.http.WicketFilter</filter-class>
+        <init-param>
+            <param-name>applicationClassName</param-name>
+            <param-value>clarin.cmdi.componentregistry.frontend.AdminApp</param-value>
+        </init-param>
+        <init-param>
+            <param-name>configuration</param-name>
+            <!--      <param-value>development</param-value>-->
+            <param-value>deployment</param-value>
+            <!-- you can override with -Dwicket.configuration=development -->
+        </init-param>
+    </filter>
+    <filter-mapping>
+        <filter-name>wicket.componentregistry</filter-name>
+        <url-pattern>/admin/*</url-pattern>
+    </filter-mapping>
+    <servlet>
+        <servlet-name>ComponentRegistry Web Application</servlet-name>
+        <servlet-class>com.sun.jersey.spi.spring.container.servlet.SpringServlet</servlet-class>
+        <init-param>
+            <param-name>com.sun.jersey.config.property.resourceConfigClass</param-name>
+            <param-value>com.sun.jersey.api.core.ClassNamesResourceConfig</param-value>
+        </init-param>
+        <init-param>
+            <param-name>com.sun.jersey.config.property.classnames</param-name>
+            <param-value>com.sun.jersey.multipart.impl.FormDataMultiPartDispatchProvider;clarin.cmdi.componentregistry.rest.ComponentRegistryRestService</param-value>
+        </init-param>
+        <!--    <init-param>-->
+        <!--      <param-name>com.sun.jersey.config.property.packages</param-name>-->
+        <!--      <param-value>clarin.cmdi.componentregistry.rest</param-value>-->
+        <!--    </init-param>-->
+        <load-on-startup>1</load-on-startup>
+    </servlet>
+    <servlet-mapping>
+        <servlet-name>ComponentRegistry Web Application</servlet-name>
+        <url-pattern>/rest/*</url-pattern>
+    </servlet-mapping>
+    <servlet>
+        <servlet-name>Isocat Servlet</servlet-name>
+        <servlet-class>clarin.cmdi.componentregistry.servlet.IsocatServlet</servlet-class>
+        <load-on-startup>1</load-on-startup>
+    </servlet>
+    <servlet-mapping>
+        <servlet-name>Isocat Servlet</servlet-name>
+        <url-pattern>/isocat/*</url-pattern>
+    </servlet-mapping>
+    <security-constraint>
+        <display-name>ComponentRegistry web service</display-name>
+        <web-resource-collection>
+            <web-resource-name>ComponentRegistry edit</web-resource-name>
+            <description/>
+            <url-pattern>/rest/*</url-pattern>
+            <http-method>DELETE</http-method>
+            <http-method>PUT</http-method>
+            <http-method>POST</http-method>
+        </web-resource-collection>
+        <auth-constraint>
+            <role-name>tomcat</role-name>
+        </auth-constraint>
+    </security-constraint>
+    <security-constraint>
+        <display-name>ComponentRegistry SWF GET</display-name>
+        <web-resource-collection>
+            <web-resource-name>ComponentRegistry access</web-resource-name>
+            <description/>
+            <url-pattern>/*</url-pattern>
+            <http-method>GET</http-method>
+        </web-resource-collection>
+        <auth-constraint>
+            <role-name>tomcat</role-name>
+        </auth-constraint>
+    </security-constraint>
+    <login-config>
+        <auth-method>BASIC</auth-method>
+    </login-config>
+    <security-role>
+        <description> The role that is required to log in to the Application </description>
+        <role-name>tomcat</role-name>
+    </security-role>
+</web-app>
Index: mponentRegistry/trunk/ComponentRegistry/src/main/webapp/WEB-INF/web.xml
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/webapp/WEB-INF/web.xml	(revision 2766)
+++ 	(revision )
@@ -1,106 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!-- 
-        Configuration file for ComponentRegistry in NON-SHIBBOLIZED context,
-	i.e. development or testing environments.
--->
-
-<web-app version="2.4" xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
-    <display-name>ComponentRegistry</display-name>
-    <description>Clarin Metadata Component Registry</description>
-    <listener>
-        <listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
-    </listener>
-    <filter>
-        <filter-name>characterEncodingFilter</filter-name>
-        <filter-class>clarin.cmdi.componentregistry.servlet.CharacterEncodingFilter</filter-class>
-        <init-param>
-            <param-name>encoding</param-name>
-            <param-value>UTF-8</param-value>
-        </init-param>
-    </filter>
-    <filter-mapping>
-        <filter-name>characterEncodingFilter</filter-name>
-        <url-pattern>/*</url-pattern>
-    </filter-mapping>
-    <filter>
-        <filter-name>wicket.componentregistry</filter-name>
-        <filter-class>org.apache.wicket.protocol.http.WicketFilter</filter-class>
-        <init-param>
-            <param-name>applicationClassName</param-name>
-            <param-value>clarin.cmdi.componentregistry.frontend.AdminApp</param-value>
-        </init-param>
-        <init-param>
-            <param-name>configuration</param-name>
-            <!--      <param-value>development</param-value>-->
-            <param-value>deployment</param-value>
-            <!-- you can override with -Dwicket.configuration=development -->
-        </init-param>
-    </filter>
-    <filter-mapping>
-        <filter-name>wicket.componentregistry</filter-name>
-        <url-pattern>/admin/*</url-pattern>
-    </filter-mapping>
-    <servlet>
-        <servlet-name>ComponentRegistry Web Application</servlet-name>
-        <servlet-class>com.sun.jersey.spi.spring.container.servlet.SpringServlet</servlet-class>
-        <init-param>
-            <param-name>com.sun.jersey.config.property.resourceConfigClass</param-name>
-            <param-value>com.sun.jersey.api.core.ClassNamesResourceConfig</param-value>
-        </init-param>
-        <init-param>
-            <param-name>com.sun.jersey.config.property.classnames</param-name>
-            <param-value>com.sun.jersey.multipart.impl.FormDataMultiPartDispatchProvider;clarin.cmdi.componentregistry.rest.ComponentRegistryRestService</param-value>
-        </init-param>
-        <!--    <init-param>-->
-        <!--      <param-name>com.sun.jersey.config.property.packages</param-name>-->
-        <!--      <param-value>clarin.cmdi.componentregistry.rest</param-value>-->
-        <!--    </init-param>-->
-        <load-on-startup>1</load-on-startup>
-    </servlet>
-    <servlet-mapping>
-        <servlet-name>ComponentRegistry Web Application</servlet-name>
-        <url-pattern>/rest/*</url-pattern>
-    </servlet-mapping>
-    <servlet>
-        <servlet-name>Isocat Servlet</servlet-name>
-        <servlet-class>clarin.cmdi.componentregistry.servlet.IsocatServlet</servlet-class>
-        <load-on-startup>1</load-on-startup>
-    </servlet>
-    <servlet-mapping>
-        <servlet-name>Isocat Servlet</servlet-name>
-        <url-pattern>/isocat/*</url-pattern>
-    </servlet-mapping>
-    <security-constraint>
-        <display-name>ComponentRegistry web service</display-name>
-        <web-resource-collection>
-            <web-resource-name>ComponentRegistry edit</web-resource-name>
-            <description/>
-            <url-pattern>/rest/*</url-pattern>
-            <http-method>DELETE</http-method>
-            <http-method>PUT</http-method>
-            <http-method>POST</http-method>
-        </web-resource-collection>
-        <auth-constraint>
-            <role-name>tomcat</role-name>
-        </auth-constraint>
-    </security-constraint>
-    <security-constraint>
-        <display-name>ComponentRegistry SWF GET</display-name>
-        <web-resource-collection>
-            <web-resource-name>ComponentRegistry access</web-resource-name>
-            <description/>
-            <url-pattern>/*</url-pattern>
-            <http-method>GET</http-method>
-        </web-resource-collection>
-        <auth-constraint>
-            <role-name>tomcat</role-name>
-        </auth-constraint>
-    </security-constraint>
-    <login-config>
-        <auth-method>BASIC</auth-method>
-    </login-config>
-    <security-role>
-        <description> The role that is required to log in to the Application </description>
-        <role-name>tomcat</role-name>
-    </security-role>
-</web-app>