Index: /cats/ISOcat/trunk/mod-ISOcat-access-data/module.xml
===================================================================
--- /cats/ISOcat/trunk/mod-ISOcat-access-data/module.xml	(revision 3373)
+++ /cats/ISOcat/trunk/mod-ISOcat-access-data/module.xml	(revision 3374)
@@ -669,5 +669,5 @@
         <rewrite>
             <match>active:ISOcat.access.data.dcr.schema</match>
-            <to>active:ISOcat.access.data.dcr.schema.1.1</to>
+            <to>active:ISOcat.access.data.dcr.schema.1.2</to>
         </rewrite>
         <rewrite>
@@ -678,4 +678,8 @@
             <match>active:ISOcat.access.data.dcr.schema.1.1</match>
             <to>ffcpl:/schemas/DCR-1_1.rng</to>
+        </rewrite>
+        <rewrite>
+            <match>active:ISOcat.access.data.dcr.schema.1.2</match>
+            <to>ffcpl:/schemas/DCR-1_2.rng</to>
         </rewrite>
         <rewrite>
Index: /cats/ISOcat/trunk/mod-ISOcat-access-data/schemas/DCR-1_2.rng
===================================================================
--- /cats/ISOcat/trunk/mod-ISOcat-access-data/schemas/DCR-1_2.rng	(revision 3374)
+++ /cats/ISOcat/trunk/mod-ISOcat-access-data/schemas/DCR-1_2.rng	(revision 3374)
@@ -0,0 +1,135 @@
+<?xml version="1.0"?>
+<grammar
+  xmlns="http://relaxng.org/ns/structure/1.0"
+  datatypeLibrary="http://www.w3.org/2001/XMLSchema-datatypes"
+  xmlns:dcr="http://www.isocat.org/ns/dcr"
+>
+	<start>
+		<ref name="any"/>
+	</start>
+
+	<define name="any">
+		<choice>
+			<ref name="dcr_elements"/>
+			<element>
+				<anyName>
+					<except>
+						<nsName ns="http://www.isocat.org/ns/dcr"/>
+					</except>
+				</anyName>
+				<ref name="content"/>
+			</element>
+		</choice>
+	</define>
+	
+	<define name="content">
+		<zeroOrMore>
+			<choice>
+				<ref name="dcr_attributes"/>
+				<attribute>
+					<anyName>
+						<except>
+							<nsName ns="http://www.isocat.org/ns/dcr"/>
+						</except>
+					</anyName>
+				</attribute>
+				<ref name="any"/>
+				<text/>
+			</choice>
+		</zeroOrMore>
+	</define>
+	
+	<define name="dcr_attributes">
+		<choice>
+			<ref name="dcr_attribute_datcat"/>
+			<ref name="dcr_attribute_value_datcat"/>
+			<ref name="dcr_attribute_target_datcat"/>
+			<ref name="dcr_attribute_target_value_datcat"/>
+			<ref name="dcr_attribute_any"/>
+		</choice>
+	</define>
+	
+	<define name="dcr_attribute_datcat">
+		<attribute name="datcat" ns="http://www.isocat.org/ns/dcr">
+			<data type="anyURI"/>
+		</attribute>
+	</define>
+	
+	<define name="dcr_attribute_value_datcat">
+		<attribute name="valueDatcat" ns="http://www.isocat.org/ns/dcr">
+			<data type="anyURI"/>
+		</attribute>
+	</define>
+	
+	<define name="dcr_attribute_target_datcat">
+		<attribute name="targetDatcat" ns="http://www.isocat.org/ns/dcr">
+			<data type="anyURI"/>
+		</attribute>
+	</define>
+	
+	<define name="dcr_attribute_target_value_datcat">
+		<attribute name="targetValueDatcat" ns="http://www.isocat.org/ns/dcr">
+			<data type="anyURI"/>
+		</attribute>
+	</define>
+	
+	<define name="dcr_attribute_any">
+		<attribute>
+			<nsName ns="http://www.isocat.org/ns/dcr">
+				<except>
+					<name>datcat</name>
+				</except>
+			</nsName>
+		</attribute>
+	</define>
+
+	<define name="dcr_elements">
+		<choice>
+			<ref name="dcr_element_datcat"/>
+			<ref name="dcr_element_value_datcat"/>
+			<ref name="dcr_element_target_datcat"/>
+			<ref name="dcr_element_target_value_datcat"/>
+			<ref name="dcr_element_any"/>
+		</choice>
+	</define>
+	
+	<define name="dcr_element_datcat">
+		<element name="datcat" ns="http://www.isocat.org/ns/dcr">
+			<attribute name="pid">
+				<data type="anyURI"/>
+			</attribute>
+		</element>
+	</define>
+	
+	<define name="dcr_element_value_datcat">
+		<element name="valueDatcat" ns="http://www.isocat.org/ns/dcr">
+			<attribute name="pid">
+				<data type="anyURI"/>
+			</attribute>
+		</element>
+	</define>
+	
+	<define name="dcr_element_target_datcat">
+		<element name="targetDatcat" ns="http://www.isocat.org/ns/dcr">
+			<attribute name="pid">
+				<data type="anyURI"/>
+			</attribute>
+		</element>
+	</define>
+	
+	<define name="dcr_element_target_value_datcat">
+		<element name="targetValueDatcat" ns="http://www.isocat.org/ns/dcr">
+			<attribute name="pid">
+				<data type="anyURI"/>
+			</attribute>
+		</element>
+	</define>
+	
+	<define name="dcr_element_any">
+		<element>
+			<nsName ns="http://www.isocat.org/ns/dcr"/>
+			<ref name="content"/>
+		</element>
+	</define>
+	
+</grammar>