Index: monitoring/plugins/mpi/check_lat_avatech_clam.py
===================================================================
--- monitoring/plugins/mpi/check_lat_avatech_clam.py	(revision 3384)
+++ monitoring/plugins/mpi/check_lat_avatech_clam.py	(revision 3385)
@@ -9,4 +9,5 @@
 command_line_parameters = [("-h", "host",),
                            ("-u", "URL",)]
+valid_root_element_tag = "clam"
 
 def special_main_subroutine(host, URL) :
@@ -19,5 +20,6 @@
                                                                  UP_URL                    = UP_URL,
                                                                  HTTP_method               = "GET",
-                                                                 validator                 = generic_tla_monitoring.check_HTML_wellformedness,
+                                                                 validator                 = generic_tla_monitoring.check_XML_validity,
+                                                                 valid_root_element_tag    = valid_root_element_tag,
                                                                  special_plugin_file_name  = special_plugin_file_name),
           UP_URLs)   
Index: monitoring/plugins/mpi/check_lat_cql_endpoint.py
===================================================================
--- monitoring/plugins/mpi/check_lat_cql_endpoint.py	(revision 3384)
+++ monitoring/plugins/mpi/check_lat_cql_endpoint.py	(revision 3385)
@@ -7,5 +7,5 @@
 special_plugin_description = "CQL endpoint"
 special_plugin_file_name = os.path.basename(__file__)
-CQL_NAMESPACE = "http://www.loc.gov/zing/srw/"
+CQL_namespace = "http://www.loc.gov/zing/srw/"
 command_line_parameters = [("-h", "host",),
                            ("-u", "URL",)]
@@ -18,5 +18,5 @@
     UP_URLs = (URL,) # X- allow for multiple URLs?
 
-    valid_root_element_tag = "{%s}explainResponse" % (CQL_NAMESPACE)
+    valid_root_element_tag = "{%s}explainResponse" % (CQL_namespace)
     
     # Check status for all UP_URLs.
Index: monitoring/plugins/mpi/check_lat_handle.py
===================================================================
--- monitoring/plugins/mpi/check_lat_handle.py	(revision 3384)
+++ monitoring/plugins/mpi/check_lat_handle.py	(revision 3385)
@@ -9,4 +9,5 @@
 command_line_parameters = [("-h", "host",),
                            ("-u", "URL",)]
+IMDI_namespace = "http://www.mpi.nl/IMDI/Schema/IMDI"
 
 # Warning: old checking condition "if 300 <= r1.status and r1.status < 400:" X-
@@ -16,4 +17,6 @@
     #result = check_condition(host)
     #generic_tla_monitoring.nagios_return(result['code'], result['message'])
+
+    valid_root_element_tag  = "{%s}METATRANSCRIPT" % (OAI_namespace)
 
     UP_URLs = (URL,) # X- use frozenset
Index: monitoring/plugins/mpi/check_lat_imdi.py
===================================================================
--- monitoring/plugins/mpi/check_lat_imdi.py	(revision 3384)
+++ monitoring/plugins/mpi/check_lat_imdi.py	(revision 3385)
@@ -21,9 +21,10 @@
     # Check status for all UP_URLs.
     results = \
-      map(lambda UP_URL : generic_tla_monitoring.check_condition(host          = host,
-                                                                 UP_URL        = UP_URL,
-                                                                 HTTP_method   = 'GET',
-                                                                 validator     = generic_tla_monitoring.check_HTML_wellformedness,
-                                                                 special_plugin_file_name = special_plugin_file_name),
+      map(lambda UP_URL : generic_tla_monitoring.check_condition(host                      = host,
+                                                                 UP_URL                    = UP_URL,
+                                                                 HTTP_method               = 'GET',
+                                                                 validator                 = generic_tla_monitoring.check_XML_validity,
+                                                                 valid_root_element_tag    = valid_root_element_tag,
+                                                                 special_plugin_file_name  = special_plugin_file_name),
           UP_URLs)
     
Index: monitoring/plugins/mpi/check_lat_oai_endpoint.py
===================================================================
--- monitoring/plugins/mpi/check_lat_oai_endpoint.py	(revision 3384)
+++ monitoring/plugins/mpi/check_lat_oai_endpoint.py	(revision 3385)
@@ -7,5 +7,5 @@
 special_plugin_description      = "OAI-PMH endpoint"
 special_plugin_file_name        = os.path.basename(__file__)
-OAI_NAMESPACE                   = "http://www.openarchives.org/OAI/2.0/"
+OAI_namespace                   = "http://www.openarchives.org/OAI/2.0/"
 command_line_parameters = [("-h", "host",),
                            ("-u", "URL",)]
@@ -18,5 +18,5 @@
     UP_URLs = (URL,) # X- use frozenset
 
-    valid_root_element_tag  = "{%s}OAI-PMH" % ("http://www.openarchives.org/OAI/2.0/")
+    valid_root_element_tag  = "{%s}OAI-PMH" % (OAI_namespace)
     
     # Check status for all UP_URLs.
Index: monitoring/plugins/mpi/generic_tla_monitoring.py
===================================================================
--- monitoring/plugins/mpi/generic_tla_monitoring.py	(revision 3384)
+++ monitoring/plugins/mpi/generic_tla_monitoring.py	(revision 3385)
@@ -74,4 +74,5 @@
                               descriptive_string, 
                               **kwargs) : # X-
+
     def special_validator(data, 
                           descriptive_string, 
@@ -87,4 +88,6 @@
         else :
             return False
+
+    pdb.set_trace()
 
     # X- Do PROPER wellformedness check - once the tools are availble.